← Back to team overview

launchpad-reviewers team mailing list archive

[Merge] lp:~andreserl/maas/maas_cluster_postrm into lp:~maas-maintainers/maas/packaging

 

Andres Rodriguez has proposed merging lp:~andreserl/maas/maas_cluster_postrm into lp:~maas-maintainers/maas/packaging.

Commit message:
debian/maas-cluster-controller.postrm: Add and delete maas user.

Requested reviews:
  Andres Rodriguez (andreserl)
  Launchpad code reviewers (launchpad-reviewers)

For more details, see:
https://code.launchpad.net/~andreserl/maas/maas_cluster_postrm/+merge/127088
-- 
https://code.launchpad.net/~andreserl/maas/maas_cluster_postrm/+merge/127088
Your team Launchpad code reviewers is requested to review the proposed merge of lp:~andreserl/maas/maas_cluster_postrm into lp:~maas-maintainers/maas/packaging.
=== modified file 'debian/changelog'
--- debian/changelog	2012-09-28 21:06:45 +0000
+++ debian/changelog	2012-09-29 02:28:20 +0000
@@ -12,6 +12,7 @@
   * debian/maas-region-controller.postinst: Cleanup upgrade rules.
   * debian/maas-cluster-controller.postinst: Fix 'local' usage.
   * debian/maas-common.install: Install celeryconfig in appropriate location.
+  * debian/maas-cluster-controller.postrm: Add and delete maas user.
 
  -- Andres Rodriguez <andreserl@xxxxxxxxxx>  Fri, 28 Sep 2012 16:54:28 -0400
 

=== added file 'debian/maas-cluster-controller.postrm'
--- debian/maas-cluster-controller.postrm	1970-01-01 00:00:00 +0000
+++ debian/maas-cluster-controller.postrm	2012-09-29 02:28:20 +0000
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+case "$1" in
+        purge)
+                # Deleting user/group
+                if getent passwd maas >/dev/null; then
+                        deluser maas || true
+                fi
+esac
+
+#DEBHELPER#
+
+exit 0


Follow ups